Package ch.qos.logback.core.util

# Class DynamicClassLoadingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ch.qos.logback.core.util.DynamicClassLoadingException

All Implemented Interfaces:
  `Serializable`

public class DynamicClassLoadingException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DynamicClassLoadingException(String desc, Throwable root)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DynamicClassLoadingException

public DynamicClassLoadingException(String desc, Throwable root)